'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _store = require('../store');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const buildStyleProps = plainCSS => ({
  dangerouslySetInnerHTML: { __html: plainCSS }
});

const Head = ({ css }) => _react2.default.createElement(
  _store.Consumer,
  null,
  ({ store: { state } }) => _react2.default.createElement(
    'head',
    null,
    _react2.default.createElement('meta', { name: 'viewport', content: 'width=device-width,minimum-scale=1,initial-scale=1' }),
    _react2.default.createElement('script', { async: true, src: 'https://cdn.ampproject.org/v0.js' }),
    state.elements,
    _react2.default.createElement('style', { 'amp-boilerplate': '' }),
    _react2.default.createElement('style', _extends({ 'amp-custom': '' }, buildStyleProps(css)))
  )
);

Head.defaultProps = {
  css: ''
};
Head.propTypes = {
  css: _propTypes2.default.string
};

exports.default = Head;
//# sourceMappingURL=Head.js.map