'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _store = require('../store');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

const Tag = (_ref) => {
  let {
    _name: name,
    children
  } = _ref,
      props = _objectWithoutProperties(_ref, ['_name', 'children']);

  return _react2.default.createElement(
    _store.Consumer,
    null,
    ({ store }) => {
      store.registerElement(name, props);
      return null;
    }
  );
};

Tag.defaultProps = {
  _name: '',
  children: null
};

Tag.propTypes = {
  _name: _propTypes2.default.string,
  children: _propTypes2.default.node
};

exports.default = Tag;
//# sourceMappingURL=Tag.js.map